# Please keep this package in sync with FC

%global major 0
%define libname %mklibname epoxy %major
%define devname %mklibname -d epoxy

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Group:		System/Libraries
Version:	1.5.4
Release:	%mkrel 1
License:	MIT
URL:		http://github.com/anholt/libepoxy
Source0:	https://github.com/anholt/libepoxy/releases/download/%{version}/libepoxy-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(gl)
BuildRequires:	pkgconfig(egl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:	x11-util-macros
BuildRequires:	python3
BuildRequires:	x11-server-xvfb %mklibname dri-drivers

%description
A library for handling OpenGL function pointer management.

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# NOTE: We intentionally don't ship *.la files
find %{buildroot} -name '*.la' -delete

%check
# this should be %%meson_test but the macro expands with a bajillion
# embedded newlines for no obvious reason
xvfb-run -d -s "-screen 0 640x480x24" ninja -C %{_vpath_builddir} test || \
    (cat %{_vpath_builddir}/meson-logs/testlog.txt ; exit 1)

%files -n %{libname}
%doc README.md
%{_libdir}/libepoxy.so.%{major}
%{_libdir}/libepoxy.so.%{major}.*

%files -n %{devname}
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc



%changelog
* Fri Mar 06 2020 tmb <tmb> 1.5.4-1.mga7
+ Revision: 1554476
- update to 1.5.4

* Wed Apr 17 2019 umeabot <umeabot> 1.5.3-2.mga7
+ Revision: 1392729
- Rebuild with meson 0.50.1

* Sun Oct 07 2018 tv <tv> 1.5.3-1.mga7
+ Revision: 1318409
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1298824
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 tv <tv> 1.5.2-1.mga7
+ Revision: 1236690
- Update to 1.5.2
- Enable tests for all arches
- Run tests against Xvfb so we get plausible amounts of coverage

* Sat Mar 10 2018 tv <tv> 1.5.0-1.mga7
+ Revision: 1207969
- new release

* Mon Jul 17 2017 tv <tv> 1.4.3-1.mga7
+ Revision: 1124171
- new release
- switch to %%autosetup

* Mon Jul 17 2017 tv <tv> 1.4.1-1.mga7
+ Revision: 1124128
- BR meson

* Wed Mar 22 2017 ovitters <ovitters> 1.4.1-1.mga6
+ Revision: 1094313
- switch to meson buildsystem
- sync with Fedora
- new version 1.4.1
- fix source url

* Thu Dec 08 2016 tmb <tmb> 1.3.1-8.mga6
+ Revision: 1073357
- fix null pointer crash causing segfaults in gtk+ apps

* Fri Oct 07 2016 tv <tv> 1.3.1-7.mga6
+ Revision: 1059360
- fix detection of EGL client extensions

* Mon Feb 15 2016 umeabot <umeabot> 1.3.1-6.mga6
+ Revision: 960959
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 blino <blino> 1.3.1-5.mga6
+ Revision: 897774
- actually apply ARM compat patch for tests
- revert Fedora modifications that disable make check, since we have a patch to fix tests on ARM

* Wed Nov 04 2015 neoclust <neoclust> 1.3.1-4.mga6
+ Revision: 897743
- Fix running tests
- Rebuild to make availaable on ARM

* Mon Sep 21 2015 blino <blino> 1.3.1-2.mga6
+ Revision: 882038
- fix running tests on ARM (by listing GLIBC_2.4 version in dlwrap.c)

* Sun Aug 23 2015 wally <wally> 1.3.1-1.mga6
+ Revision: 868676
- new version 1.3.1
- clean .spec a bit
- drop unneeded BRs

* Mon Apr 14 2014 tv <tv> 1.2-0.1.20140307gitd4ad80f.mga5
+ Revision: 614220
- imported package libepoxy

